Page MenuHomePhabricator

[EPIC] Improve page issues
Closed, ResolvedPublic

Description

Note: This EPIC has sign off criteria! Please check and resolve it before closing this task!

From RFC on english wikipedia

If an article is up for AfD and flagged as a possible hoax with insufficient medical sourcing, any reader visiting that article on a computer is greeted by three large red and orange boxes at the top of the page, one with a cautionary stop sign. The reader is clearly told that what they're about to read may be a complete fabrication, contains inadequately referenced medical advice, and that an active, serious discussion has been raised about removing the article from Wikipedia. If a reader instead visits the same hoax medical article on their phone (and [https://www.mediawiki.org/wiki/Wikimedia_Product#Reading 45% of Wikimedia traffic is now from mobile devices]), they just get two tiny grey words "Page issues" under the article title - the same ignorable alert they'd get if the article had an inconsistent footnote style or a missing taxobox - and the article is presented like any other.

Problem statement

Page issues are hidden even if they are important.

Because of the hacky way we deal with issues, sometimes other content is unnecessarily identified as issues and hidden e.g.
T166451 and https://en.wikipedia.org/wiki/File:Threat_of_harm_page_on_mobile_using_just_template.PNG

User story

As a reader of wikipedia, I would like to know how reliable is the information I'm reading on wikipedia

Solution

We can group page issues into four buckets.

  1. Severe: type=speedy, type=delete
  2. Medium: type=content
  3. Low: type = style
  4. Notice: type = notice, type = move, type = protection

Visual treatments will vary based on severity.

The treatments varies in color, icons, language, and position of the message.

Sign off steps

  • Make sure T183246 has been resolved by deploying page issues.

Related Objects

StatusAssignedTask
OpenNirzar
ResolvedJdlrobson
Resolvedovasileva
ResolvedJdlrobson
InvalidNone
ResolvedCKoerner_WMF
ResolvedCKoerner_WMF
InvalidNone
Resolvedovasileva
Resolvedalexhollender
Duplicatealexhollender
Resolvedalexhollender
Resolvedovasileva
Resolvedalexhollender
ResolvedRyasmeen
ResolvedRyasmeen
Resolved Niedzielski
Resolvedovasileva
ResolvedNone
Resolvedovasileva
ResolvedABorbaWMF
Resolvedalexhollender
DuplicateNone
Resolved Niedzielski
Resolvedovasileva
Resolvedovasileva
Resolvedphuedx
Resolved Tbayer
Resolvedovasileva
Resolved Niedzielski
Resolved Tbayer
Resolved Tbayer
Resolved Tbayer
Resolved Tbayer
Resolvedovasileva
Resolved Tbayer
Resolvedphuedx
Resolvedovasileva
ResolvedJdlrobson
ResolvedJdlrobson
Resolved Tbayer
Resolved Tbayer
Resolved Niedzielski
DeclinedNone
Resolvedovasileva
OpenNone

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
RHo added a subscriber: RHo.Mar 12 2018, 4:52 PM
Restricted Application edited projects, added Readers-Web-Backlog; removed Readers-Web-Backlog (Design). · View Herald TranscriptApr 5 2018, 4:58 PM
ovasileva triaged this task as Normal priority.Apr 5 2018, 4:59 PM
ovasileva moved this task from To Do to Quarterly Goals on the Readers-Web-Kanbanana-Board-Old board.

Just remove the code that collapses the issue boxes and make mobile readers see the same boxes as desktop readers.

stjn added a subscriber: stjn.Oct 4 2018, 2:25 PM

Quick question: after A/B test will be done, will new page issue design display without a delay for users or is it expected to be like this in future?

The delay will be removed. thanks for the reminder! Have updated T206178 to explicitly call that out. Right now delay is needed for the A/B test.

Quiddity removed a subscriber: Quiddity.Oct 4 2018, 10:35 PM
ovasileva changed the status of subtask T200793: Disable page issues A/B test from Stalled to Open.Oct 16 2018, 3:56 PM
Nirmos removed a subscriber: Nirmos.Nov 12 2018, 10:46 PM

Once T200794 and T210554 are resolved, I think we can sign this off?

Signoff is blocked on T200794: Analyze results of page issues A/B test but moving out of board and back to the backlog since the main goal (deploy to all wikis) is completed.

stjn removed a subscriber: stjn.Feb 6 2019, 4:12 PM
ovasileva closed this task as Resolved.Feb 6 2019, 6:12 PM

Discussed during kickoff and decided to close the epic while leaving the remaining tasks open as debt. We'll close these individually when they're done. Resolving this for now!